function QuickSearch(content) {
	globalTimeout = null; 
	var mode		= content.attr('data-type');
	var data		= content.val();
	var f_list		= false;
	var minlength	= 3;
	var maxlength	= 128;

	if (data.length > minlength && data.length < maxlength) {
		ajax.exec({
			action  : 'QuickSearch',
			mode    : mode,
			data	: data,
			beforeSend: function(html) { 
				$('#QuickSearchResult' + mode + ' td').html('');
				$("#textInput").html(data);
		   }
		});
		ajax.callback.QuickSearch = function(data){
			if(data.tagOn == true){
				return false;
			}else{
				$('#QuickSearchResult' + mode).show();
				$('#QuickSearchResult' + mode + ' td').html(data.html);
				f_list = true;
			}	
		};
	}
	return false;
};

$(document).ready(function(){
	var globalTimeout = null; 
	$("input.QuickSearch[data-type=Queries]").tagit({
		autocomplete: {delay: 1000, minLength: 4, maxlength:128},
		removeConfirmation: true,
		placeholderText: 'Введите желаемое слово',
		tagSource: function(search, showChoices) {
			ajax.exec({
				action  : 'QuickSearch',
				mode    : 'Queries',
				data	: search.term,
			});
			ajax.callback.QuickSearch = function(data){
				showChoices(data.tag);
			};
		}
	});
    $("input.QuickSearch[data-type=Topic]").keyup(function() {
		var thisVal = $(this); 
        if(globalTimeout != null) clearTimeout(globalTimeout);
		globalTimeout = setTimeout(function(){QuickSearch(thisVal)},1000);
	});
});
function new_pm(mode) {
	ajax.exec({
		action	: 'new_pm',
		mode	: mode
	});
	ajax.callback.new_pm = function(data) {
		if (data.pmUpdate !== undefined)
		{
			$('strong#pm-link').html(data.pmUpdate);
		}
		if (data.pmLoad_on)
		{
			$('#LoadNewPm').html(data.pmLoad);
		}
	};
}
function user_stats(user_id, mode) {
	ajax.exec({
		action  : 'UserStats',
		user_id : user_id,
		mode 	: mode,
	});
	ajax.callback.UserStats = function(data) {
		if(data.popup){
			$('#user_popup').html(data.html);
		}
		if(data.stats){
			var $root = $('#user_ratio.ajax_user_' + user_id);
			var rootOn = $($root).attr('data-userstats');
			if(rootOn == 'true'){
				$('#ajax_userratio', $root).html(data.ratio);
				$('#ajax_userdownloaded', $root).html(data.downloaded);
				$('#ajax_useruploaded', $root).html(data.uploaded);
				$('#ajax_userrelesed', $root).html(data.relesed);
				$('#ajax_userbonus', $root).html(data.bonus);
				$('#ajax_userseedbonus', $root).html(data.seedbonus);
				$('#update_userstat', $root).tooltipster('update', data.time_update);
			}
		}
	};
}
